Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ltk.core.refactoring
Class ContentStamp

    java.lang.Object
      org.eclipse.ltk.core.refactoring.ContentStamp

public abstract class ContentStamp
extends Object

A content stamp object represent the content of an `IFile`. A content stamp object is updated whenever the content of a file changes. In contrast to a modification stamp a content stamp is reverted to its previous value if the content of the file is reverted back by performing a corresponding undo change.

Clients of the refactoring framework don't need to take care of content stamps. They are managed by the framework itself.

Not all files in the workspace are annotated with a content stamp. The refactoring framework only adds content stamp to those files where necessary.

Content stamp are to be compared using the `equals(Object)` method. It is not guaranteed that content stamp are identical for identical files.

This class is not intended to be extended by clients.

Since:
  3.0

Constructor Summary
`ContentStamp()`

Method Summary
`abstract boolean` | `isNullStamp()` Checks whether the stamp is the null stamp or not.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContentStamp

    public ContentStamp()

Method Detail

### isNullStamp

    public abstract boolean isNullStamp()

  Checks whether the stamp is the null stamp or not. A null stamp is generated for files which either don't exist or exist in a closed project.

  Returns:
    whether the stamp is the null stamp or not.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.